### Constructor

# WebKit2 WebsiteDataManager new

since: 2.10

#### Declaration [src]

    WebKitWebsiteDataManager*
    webkit_website_data_manager_new (
      const gchar* first_option_name,
      ...
    )

#### Description [src]

Creates a new `WebKitWebsiteDataManager` with the given options.

It must be passed as construction parameter of a `WebKitWebContext`.

Available since: 2.10

This method is not directly available to language bindings.

#### Parameters

`first_option_name`

  Type: `const gchar*`

  Name of the first option to set.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Value of first option, followed by more options, `NULL`-terminated.

#### Return value

Type: `WebKitWebsiteDataManager`

The newly created `WebKitWebsiteDataManager`.

The caller of the function takes ownership of the data, and is responsible for freeing it.